Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
Mooney

Dark_AleX releases 5.00 M33-2 and Popsloader for 5.00 M33-2

Recommended Posts

PSP Custom Firmware 5.00 M33-2

Changes:

 

- Popcorn bug fixes:

 

* Fixed bug that caused some games with certain icons not to work, and caused document.dat not to work.

 

* Fixed critical bug that caused continous corruption of psx games in RAM.

 

- Core bugfix: Fixed sctrlKernelSetInit* functions not working.

 

- M33 network update doesn't work in 5.00 M33, fixed.

 

- Added the posibility of loading version information from the file flash0:/vsh/etc/version.txt

 

By default is disabled. If you enable it in recovery, you could for example dump 5.01 firmware,

copy the version.txt from it to the flash, and bypass firmware check restrictions like those that

may be in psn, etc.

This will also fake official network update (not m33 one), and running the update eboot (again, not m33 ones).

 

- Plugins configuration file format changed.

 

The new format is as follows:

 

* There is no more conf.bin file.

* Now each line in vsh.txt game.txt and pops.txt will have a 0 or a 1 at the end. 1 indicates

that the plugin will be loaded, 0 (or anything else) that it won't be loaded.

 

Entering in recovery in 5.00 M33-2 wil automatically convert the old format configuration

to the new one (this may cause a delay first time you enter in plugins because of conversion).

 

- Added optins under advanced configuration that allow enable/disable of plugins in a certain configuration.

By default they are enabled.

Source and Downloads: dark-alex.org

Alternatively, if you already have a custom firmware installed on your PSP, you should be able to use the Network Update feature to update your custom firmware. To enable the M33 network update feature: Boot into recovery mode, go to Configuration and set "Use M33 network update" to Enabled. If you are running a custom firmware that does not have this option, DO NOT use the network update feature to update, or you will end up with Sony's official firmware.

 

Popsloader for 5.00 M33-2

popsloader for 5.00 M33-2 and up (until Sony screws it again)

 

Requeiments:

 

- 5.00 M33-2, it won't work in 5.00 M33-1

 

New:

- Works on 5.00.

- Added 3.80, 3.90 and 4.01.

 

 

 

- Upgrade from older version of popsloader:

 

* Copy seplugins to memstick root folder replacing files.

* Dump 4.01 (choose decrypt all option in psardumper) and copy the file impose.prx in /seplugins/popsloader/ with that name (impose.prx, without numbers)

 

- Install from scratch:

 

* Copy seplugins to memstick root folder replacing files.

* Dump the desired firmware to extract the files needed. (choose decrypt all option in psardumper)

 

Thse are the files needed for each firmware:

 

3.02-3.03: /kd/pops.prx, /kd/popsman.prx, /kd/meaudio.prx, /vsh/module/pafmini.prx

3.10-3.30: /kd/pops.prx, /kd/popsman.prx, /vsh/module/pafmini.prx

3.40-4.01: /kd/pops.prx, /kd/popsman.prx, /vsh/module/pafmini.prx, /vsh/module/libpspvmc.prx

 

* Copy the files to /seplugins/popsloader with firmware version as suffix (e.g. popsman.prx -> popsman380.prx)

* Additionally, no matter which pops you want to run, you have to get impose.prx from 4.01 and

copy it to /seplugins/popsloader/ with the name impose.prx (no suffix).

Source and Downloads: dark-alex.org

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this  

×
×
  • Create New...